#include "rca.h"

#include <ChainableLED.h>

#define LED_PIN 4

void setup() {
  pinMode(LED_PIN, OUTPUT);
}

void loop() {
  digitalWrite(LED_PIN, HIGH);
  delay(1000);           
  digitalWrite(LED_PIN, LOW); 
  delay(1000);           
}

#define NUM_LEDS 1
ChainableLED leds(8, 9, NUM_LEDS);

void task1_setup() {
  leds.init();
}

void task1_loop() {
  int i;
  for(i = 0; i < 25; i++){
    leds.setColorRGB(0, i*10, 0, 0);
    delay(10);
  }
  for(i = 0; i < 25; i++){
    leds.setColorRGB(0, 0, i*10, 0);
    delay(10);
  }
  for(i = 0; i < 25; i++){
    leds.setColorRGB(0, 0, 0, i*10);
    delay(10);
  }
}
